## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           shippy
Version:        1.5.4
Release:        %autorelease
Summary:        Space invaders / Galaxians like game with powerups
License:        GPL+
URL:            http://www.identicalsoftware.com/shippy1984
Source0:        http://www.identicalsoftware.com/shippy1984/%{name}-%{version}.tgz
Patch0:         shippy-1.5.4-cmake.patch
BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  SDL2_mixer-devel SDL2_ttf-devel fontconfig-devel libgamerzilla-devel
BuildRequires:  desktop-file-utils libappstream-glib
Obsoletes:      shippy-common < 1.5.0-10
Obsoletes:      shippy-allegro < 1.5.0-10

%description
Shippy1984 is a small, portable game designed to bring back nostalgia for the
ways games used to be made--addicting as hell! Mash buttons on your way to the
high score! Shippy1984 is designed from the ground up for the avid casual
gamer who feels left behind by the technological overload of today's games!
No longer! Shippy1984 is the game you have been waiting for!

%prep
%setup -q
%patch -p1 0
mv docs html


%build
%cmake
%cmake_build


%install
%cmake_install

%files
%doc html
%license LICENSE.txt
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png


%changelog
* Wed Jun 07 2023 Dennis Payne <dulsi@identicalsoftware.com> - 1.5.4-6
- Include patch line in spec.

* Wed Jun 07 2023 Dennis Payne <dulsi@identicalsoftware.com> - 1.5.4-5
- Apply patch

* Wed Jun 07 2023 Dennis Payne <dulsi@identicalsoftware.com> - 1.5.4-4
- Fix cmakefile to specify that it is a C project

* Wed Jun 07 2023 Dennis Payne <dulsi@identicalsoftware.com> - 1.5.4-3
- Add cmake to build requires.

* Wed Jun 07 2023 Dennis Payne <dulsi@identicalsoftware.com> - 1.5.4-2
- Add missing build requirements

* Wed Jun 07 2023 Dennis Payne <dulsi@identicalsoftware.com> - 1.5.4-1
- Upgrade to latest Shippy 1984.

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 08 2021 Tom Stellard <tstellar@redhat.com> - 1.5.0-5
- Add BuildRequires: make

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 20 2019 Hans de Goede <hdegoede@redhat.com> - 1.5.0-1
- New upstream: http://identicalsoftware.com/shippy1984/ New upstream
  release 1.5.0 SDL version now uses SDL2

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.7-33
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Mon Jan 28 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.3.7-32
- Remove obsolete Group tag

* Tue Jul 24 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.3.7-31
- Add missing BuildRequires on gcc

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.7-30
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.7-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.3.3.7-28
- Remove obsolete scriptlets

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.7-27
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.7-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.7-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3.7-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Hans de Goede <hdegoede@redhat.com> - 1.3.3.7-23
- Backport splashscreen improvements from upstream devel version
- Add appdata, .desktop file keywords

* Fri Jun 19 2015 Dennis Gilmore <dennis@ausil.us> - 1.3.3.7-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Peter Robinson <pbrobinson@fedoraproject.org> - 1.3.3.7-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Dennis Gilmore <dennis@ausil.us> - 1.3.3.7-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Dennis Gilmore <dennis@ausil.us> - 1.3.3.7-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Feb 25 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3.3.7-18
- Remove --vendor from desktop-file-install on F19+
  https://fedorahosted.org/fesco/ticket/1077

* Thu Feb 14 2013 Dennis Gilmore <dennis@ausil.us> - 1.3.3.7-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Dennis Gilmore <dennis@ausil.us> - 1.3.3.7-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Dennis Gilmore <dennis@ausil.us> - 1.3.3.7-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Jul 16 2011 Hans de Goede <hdegoede@redhat.com> - 1.3.3.7-14
- Rebuild for new allegro-4.4

* Wed Feb 09 2011 Dennis Gilmore <dennis@ausil.us> - 1.3.3.7-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 29 2010 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3.7-12
- dist-git conversion

* Wed Nov 25 2009 Bill Nottingham <notting@fedoraproject.org> - 1.3.3.7-11
- Fix typo that causes a failure to update the common directory. (releng
  #2781)

* Mon Jul 27 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.3.3.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Jesse Keating <jkeating@fedoraproject.org> - 1.3.3.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Jesse Keating <jkeating@fedoraproject.org> - 1.3.3.7-8
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Hans de Goede <jwrdegoede@fedoraproject.org> - 1.3.3.7-7
- Rebuild for buildId

* Sun Aug 12 2007 Hans de Goede <jwrdegoede@fedoraproject.org> - 1.3.3.7-6
- Update License tag for new Licensing Guidelines compliance - Fix invalid
  desktop file (fix building with latest desktop-file-utils)

* Tue Aug 29 2006 Hans de Goede <jwrdegoede@fedoraproject.org> - 1.3.3.7-5
- FE6 Rebuild

* Sun Aug 27 2006 Ville Skyttä <scop@fedoraproject.org> - 1.3.3.7-4
- http://fedoraproject.org/wiki/Extras/Schedule/FC6MassRebuild

* Thu Jul 06 2006 Hans de Goede <jwrdegoede@fedoraproject.org> - 1.3.3.7-3
- Rebuild against new allegro to remove executable stack requirement caused
  by previous versions of allegro. - Merged all patches into one and put a
  few parts between #ifdef __unix__ (I send this upstream for merging).

* Mon Apr 03 2006 Hans de Goede <jwrdegoede@fedoraproject.org>
- Merged all patches into one and put a few parts between #ifdef __unix__
  (I send this upstream for merging).

* Fri Mar 31 2006 Hans de Goede <jwrdegoede@fedoraproject.org> - 1.3.3.7-1
- auto-import shippy-1.3.3.7-2 on branch devel from
  shippy-1.3.3.7-2.src.rpm
